package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag705;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT705Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag40ACreator extends AbsTagCreate {

     private MT705Creator mt705Creator;

    public Tag40ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt705Creator= (MT705Creator) absMTCreator;
    }

    public void creator()
    {
        String tag40AValue = mt705Creator.getFormofDocumentaryCredit();
        mt705Creator.set("40A", tag40AValue);
    }
}

